pycatia.cat_sch_platform_interfaces.schematic_root

Module initially auto generated using V5Automation files from CATIA V5 R28 on 2020-09-25 14:34:21.593357

Warning

The notes denoted “CAA V5 Visual Basic Help” are to be used as reference only. They are there as a guide as to how the visual basic / catscript functions work and thus help debugging in pycatia.

class pycatia.cat_sch_platform_interfaces.schematic_root.SchematicRoot(com_object)

Note

CAA V5 Visual Basic Help (2020-09-25 14:34:21.593357)

System.IUnknown
System.IDispatch
System.CATBaseUnknown
System.CATBaseDispatch
System.AnyObject
SchematicRoot

Represents the top node of the schematic object tree.
From this node all the queries for lists of schematic objects can be made.
Furthermore, all the factories handles can be obtained through this
interface.
get_appl_obj_fact_from_virtual_type(i_application_id: str) SchAppObjectFactory

Note

CAA V5 Visual Basic Help (2020-09-25 14:34:21.593357))
o Func GetApplObjFactFromVirtualType(CATBSTR iApplicationID) As
SchAppObjectFactory

Returns the object factory for specific schematic
application.

Example:

This example illustrates how to get the object factory of user
defined virtual type.
User provides implementation to this type.


Dim objSchPlatformRoot As SchematicRoot
Dim objSchObjFact As SchAppObjectFactory
Dim objProductRoot As Product
Set objProductRoot = CATIA.ActiveDocument.Product
Set objSchPlatformRoot = objProductRoot.GetTechnologicalObject (“SchematicRoot”)
Set objSchObjFact = objSchPlatformRoot.GetApplObjFactFromVirtualType(“UserDefined”)(
Parameters:

i_application_id (str) –

Return type:

SchAppObjectFactory

get_application_object_factory(i_application_id: int) SchAppObjectFactory

Note

CAA V5 Visual Basic Help (2020-09-25 14:34:21.593357))
o Func GetApplicationObjectFactory(CatSchIDLApplicationID iApplicationID) As
SchAppObjectFactory

Returns the object factory for specific schematic
application.

Example:

This example illustrates how to get the object factory of Piping
and Instrumentation Diagram application.

Dim objSchPlatformRoot As SchematicRoot
Dim objSchObjFact As SchAppObjectFactory
Dim objProductRoot As Product
Set objProductRoot = CATIA.ActiveDocument.Product
Set objSchPlatformRoot = objProductRoot.GetTechnologicalObject (“SchematicRoot”)
Set objSchObjFact = objSchPlatformRoot.GetApplicationObjectFactory(“CatSchIDLCATPID”)(
Parameters:

i_application_id (int) – enum cat_sch_idl_application_id

Return type:

SchAppObjectFactory

get_comp_group_from_catalog(i_catalog_entry_name: str, i_ctlg_doc: Document) SchComponent

Note

CAA V5 Visual Basic Help (2020-09-25 14:34:21.593357))
o Func GetCompGroupFromCatalog(CATBSTR iCatalogEntryName,
Document iCtlgDoc) As SchComponent

Returns specific component group entry in a schematic component catalog
document.

Example:

This example illustrates how to get a specific component group entry
in a schematic component catalog document.

Dim objSchPlatformRoot As SchematicRoot
Dim objSchComponent As SchComponent
Dim objProductRoot As Product
Set objProductRoot = CATIA.ActiveDocument.Product
Set objSchPlatformRoot = objProductRoot.GetTechnologicalObject (“SchematicRoot”)
Dim objCtlgDoc As Document
Set objCtlgDoc = CATIA.Documents.Open (“Electrical_ANSI_PartFunctions.catalog”)
Set objSchComponent = objSchPlatformRoot.GetCompGroupFromCatalog (“JuncBox-TermBoard”,objCtlgDoc)
Parameters:
  • i_catalog_entry_name (str) –

  • i_ctlg_doc (Document) –

Return type:

SchComponent

get_comp_symbol_from_catalog(i_catalog_entry_name: str, i_ctlg_doc: Document) SchGRR

Note

CAA V5 Visual Basic Help (2020-09-25 14:34:21.593357))
o Func GetCompSymbolFromCatalog(CATBSTR iCatalogEntryName,
Document iCtlgDoc) As SchGRR

Returns specific entry in a schematic component catalog
document.

Example:

This example illustrates how to get a specific entry in a schematic
component catalog document.

Dim objSchPlatformRoot As SchematicRoot
Dim objSchGRRComp As SchGRRComp
Dim objProductRoot As Product
Set objProductRoot = CATIA.ActiveDocument.Product
Set objSchPlatformRoot = objProductRoot.GetTechnologicalObject (“SchematicRoot”)
Dim objCtlgDoc As Document
Set objCtlgDoc = CATIA.Documents.Open (“PID_ANSI_Equipment.catalog”)
Set objSchGRRComp = objSchPlatformRoot.GetCompSymbolFromCatalog (“Blower”,objCtlgDoc)
Parameters:
  • i_catalog_entry_name (str) –

  • i_ctlg_doc (Document) –

Return type:

SchGRR

get_components() SchListOfObjects

Note

CAA V5 Visual Basic Help (2020-09-25 14:34:21.593357))
o Func GetComponents() As SchListOfObjects

Returns a list of schematic component instances under the
root.

Example:

This example illustrates how to get the list of component instances
from a schematic product document.

Dim objSchPlatformRoot As SchematicRoot
Dim objSchListComps As SchListOfObjects
Set objoSchListComps = objSchPlatformRoot.GetComponents
Return type:

SchListOfObjects

get_drawing() DrawingRoot

Note

CAA V5 Visual Basic Help (2020-09-25 14:34:21.593357))
o Func GetDrawing() As DrawingRoot

Retrieves the drawing root in the schematic document.

Example:

This example illustrates how to get the drawing of a schematic
document.

Dim objSchPlatformRoot As SchematicRoot
Dim objProductRoot As Product
Set objProductRoot = CATIA.ActiveDocument.Product
Set objSchPlatformRoot = objProductRoot.GetTechnologicalObject (“SchematicRoot”)
Dim objDrawRoot As DrawingRoot
Set objDrawRoot = objSchPlatformRoot.GetDrawing
Return type:

DrawingRoot

get_drawing_standard() int

Note

CAA V5 Visual Basic Help (2020-09-25 14:34:21.593357))
o Func GetDrawingStandard() As CatDrawingStandard

Get the drawing standard.

Example:

This example illustrates how to get the drafting standard of a
schematic document.

Dim objSchPlatformRoot As SchematicRoot
Dim objSchLSymbols As SchListOfObjects
Dim objProductRoot As Product
Set objProductRoot = CATIA.ActiveDocument.Product
Set objSchPlatformRoot = objProductRoot.GetTechnologicalObject (“SchematicRoot”)
oDrwStd = objSchPlatformRoot.GetDrawingStandard
Returns:

enum cat_drawing_standard

Return type:

int

get_interface(i_interface_name: str, i_object: AnyObject) AnyObject

Note

CAA V5 Visual Basic Help (2020-09-25 14:34:21.593357))
o Func GetInterface(CATBSTR iInterfaceName,
AnyObject iObject) As AnyObject

Returns specific interface handle on a given object.

Example:

This example illustrates how to get a specific interface handle from
a given object.

Dim objSchPlatformRoot As SchematicRoot
Dim objSchObjFact As SchAppObjectFactory
Dim objProductRoot As Product
Set objProductRoot = CATIA.ActiveDocument.Product
Set objSchPlatformRoot = objProductRoot.GetTechnologicalObject (“SchematicRoot”)
Set objSchObjFact = SchPlatformRoot.GetApplicationObjectFactory(“CatSchIDLCATPID”)
Set objSchObjFact2 = objSchPlatformRoot.GetInterface (“CATIASchAppObjectFactory2”,SchObjFact)
Parameters:
  • i_interface_name (str) –

  • i_object (AnyObject) –

Return type:

AnyObject

get_ref_components() SchListOfObjects

Note

CAA V5 Visual Basic Help (2020-09-25 14:34:21.593357))
o Func GetRefComponents() As SchListOfObjects

Returns a list of schematic component references under the
root.

Example:

This example illustrates how to get the list of component references
from a schematic product document.


Dim objSchPlatformRoot As SchematicRoot
Dim objSchListComps As SchListOfObjects
Set objSchListComps = objSchPlatformRoot.GetRefComponents
Return type:

SchListOfObjects

get_routes() SchListOfObjects

Note

CAA V5 Visual Basic Help (2020-09-25 14:34:21.593357))
o Func GetRoutes() As SchListOfObjects

Returns a list of schematic routes under the root.

Example:

This example illustrates how to get the list of routes from a
schematic product document.

Dim objSchPlatformRoot As SchematicRoot
Dim objSchListRoutes As SchListOfObjects
Set objSchListRoutes = objSchPlatformRoot.GetRoutes
Return type:

SchListOfObjects

get_sch_base_factory() SchBaseFactory

Note

CAA V5 Visual Basic Help (2020-09-25 14:34:21.593357))
o Func GetSchBaseFactory() As SchBaseFactory

Returns schematic base object factory.

Example:

This example illustrates how to get the schematic base
factory.

Dim objSchPlatformRoot As SchematicRoot
Dim objSchBaseFact As SchBaseFactory
Dim objProductRoot As Product
Set objProductRoot = CATIA.ActiveDocument.Product
Set objSchPlatformRoot = objProductRoot.GetTechnologicalObject (“SchematicRoot”)
Set objSchBaseFact = objSchPlatformRoot.GetBaseFactory
Return type:

SchBaseFactory

get_schematic_session() SchSession

Note

CAA V5 Visual Basic Help (2020-09-25 14:34:21.593357))
o Func GetSchematicSession() As SchSession

Returns the schematic session the document containing the root is
associated with.

Example:

This example illustrates how to get the schematic
session.

Dim objSchPlatformRoot As SchematicRoot
Dim objSchSession As SchSession
Dim objProductRoot As Product
Set objProductRoot = CATIA.ActiveDocument.Product
Set objSchPlatformRoot = objProductRoot.GetTechnologicalObject (“SchematicRoot”)
Set objSchSession = objSchPlatformRoot.GetSession
Return type:

SchSession

get_temporary_list_factory() SchTempListFactory

Note

CAA V5 Visual Basic Help (2020-09-25 14:34:21.593357))
o Func GetTemporaryListFactory() As SchTempListFactory

Returns the factory to create lists of various types. These lists will not
be saved with the model.

Example:

This example illustrates how to get the list factory from a schematic
product document.

Dim objSchPlatformRoot As SchematicRoot
Dim objSchList As SchTempListFactory
Dim objProductRoot As Product
Set objProductRoot = CATIA.ActiveDocument.Product
Set objSchPlatformRoot = objProductRoot.GetTechnologicalObject (“SchematicRoot”)
Set objSchList = objSchPlatformRoot.GetTemporaryListFactory
Return type:

SchTempListFactory

get_unassociated_symbols() SchListOfObjects

Note

CAA V5 Visual Basic Help (2020-09-25 14:34:21.593357))
o Func GetUnassociatedSymbols() As SchListOfObjects

Returns a list of unassociated symbol.

Example:

This example illustrates how to get a list of unassociated
symbol.

Dim objSchPlatformRoot As SchematicRoot
Dim objSchLSymbols As SchListOfObjects
Dim objProductRoot As Product
Set objProductRoot = CATIA.ActiveDocument.Product
Set objSchPlatformRoot = objProductRoot.GetTechnologicalObject (“SchematicRoot”)
Set objSchLSymbols = objSchPlatformRoot.GetUnassociatedSymbols
Return type:

SchListOfObjects

set_drawing_standard(i_drw_std: int) None

Note

CAA V5 Visual Basic Help (2020-09-25 14:34:21.593357))
o Sub SetDrawingStandard(CatDrawingStandard iDrwStd)

Set the drawing standard.

Example:

This example illustrates how to set the drafting standard of a
schematic document.

Dim objSchPlatformRoot As SchematicRoot
Dim objSchLSymbols As SchListOfObjects
Dim objProductRoot As Product
Set objProductRoot = CATIA.ActiveDocument.Product
Set objSchPlatformRoot = objProductRoot.GetTechnologicalObject (“SchematicRoot”)
objSchPlatformRoot.SetDrawingStandard catISO
Parameters:

i_drw_std (int) – enum cat_drawing_standard

Return type:

None